using UnityEngine;
using System.Collections;

public class AnimDealer : MonoBehaviour {
	public AnimationState idle, crazy;
	// Use this for initialization
	void Start () {
		idle = animation["Idle"];
		idle.wrapMode = WrapMode.PingPong;
		crazy = animation["Crazy"];
		crazy.wrapMode = WrapMode.PingPong;
		
		animation.Play("Idle");
	}
	
	// Update is called once per frame
	public void PlayCrazy() {
		AudioManager.instance.Play (Sounds.Crazy, transform);
		animation.CrossFade("Crazy");
	}
}
